subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexey Neyman <sti...@att.net>
Subject Re: Merge error with SVN 1.8.0
Date Sun, 23 Jun 2013 23:38:53 GMT
On Sunday, June 23, 2013 07:20:50 PM Nico Kadel-Garcia wrote:
> On Sun, Jun 23, 2013 at 3:56 PM, Alexey Neyman <stilor@att.net> wrote:
> > Hi,
> > 
> > 
> > 
> > I've tried upgrading the client to SVN 1.8, and now see some strange merge
> > errors while reintegrating the branch. According to
> 
> Did you delete the old RHEL 1.6.11 RPM, to avoid libraries lying
> around and confusing you? Or binaries turning up in your "commit"
> scripts due to inherited "PATH" that does not include the new version?

Sorry for being unclear: I only upgraded the CLIENT, not the server. The server still has

1.6.11. And yes, sorry for stating the obvious, the 1.7.10 subversion RPM was 
removed when I installed 1.8.0.

> To avoid the fun and games, I urge you to grab and test my newly
> minted Subversion 1.8.0 RPM building tools, at:
> 
>      https://github.com/nkadel/subversion-1.8.x-srpm

Are you calling RPMs provided by WanDisco's "fun and games"? I think Subversion 
developers employed by WanDisco might be somewhat insulted by such judgment. Is 
there something wrong with RPMs from WanDisco that I must, in your opinion, switch 
to your version?

> I've also bundled a libserf SRPM building toolkit at:
> 
>     https://github.com/nkadel/libserf-1.2.x-srpm

Thanks. I thought that my original email indicated that we're using svn:// protocol and 
thus serf is out of the equation.

In other words: do you have anything relevant to say regarding the reported issue, 
rather than advertising your work?

Regards,
Alexey.

> 
> I've been testing out the 1.8.x features, it's suitable for pushing to
> Rpmforge. EPEL would take a lot more work because there are key
> libraries, like "SQLite", that have to be compiled locally even for
> RHEL 6. And Fedora 19, which is coming out, does not use SysV init
> scripts at all, it uses system, so the "svnserve" init script will be
> rejected out of hand.
> 
> > http://subversion.apache.org/docs/release-notes/1.8.html#auto-reintegrate
> > 
> > 
> > 
> > the --reintegrate option is now deprecated, its use is discouraged and SVN
> > should be able to figure that out automatically. However, when I tried a
> > plain "svn merge", it gave me the following error:
> > 
> > 
> > 
> > [aneyman@build2 trunk]$ svn merge ^/MERGE-PATH
> > 
> > svn: E210002: Unable to connect to a repository at URL 'svn://MERGE-URL'
> > 
> > svn: E210002: Network connection closed unexpectedly
> > 
> > 
> > 
> > Strangely, 'svn merge --reintegrate' worked fine.
> > 
> > 
> > 
> > We are running 1.6.11 on the server (stock RedHat RPM, "1.6.11-2.el6_1.4"
> > version). I installed SVN 1.8.0 RPM from WanDisco ("1.8.0-1") on the
> > client.
> > 
> > 
> > 
> > Any clues/suggestions as to how to debug this further?
> > 
> > 
> > 
> > Regards,
> > 
> > Alexey.

Mime
View raw message